Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp.parser
Class NTFTPEntryParser

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
              org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
                  org.apache.commons.net.ftp.parser.NTFTPEntryParser

All Implemented Interfaces:
  Configurable, FTPFileEntryParser, FTPFileListParser

public class NTFTPEntryParser
extends ConfigurableFTPFileEntryParserImpl

Implementation of FTPFileEntryParser and FTPFileListParser for NT Systems.

Version:
  $Id: NTFTPEntryParser.java 155429 2005-02-26 13:13:04Z dirkv $
Author:
  Winston Ojeda, Steve Cohen
See Also:
  `FTPFileEntryParser (for usage instructions)`

Field Summary

Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`_matcher_`

Constructor Summary
`NTFTPEntryParser()` The sole constructor for an NTFTPEntryParser object.
`NTFTPEntryParser(FTPClientConfig config)` This constructor allows the creation of an NTFTPEntryParser object with something other than the default configuration.

Method Summary
`FTPClientConfig` | `getDefaultConfiguration()` Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.
`FTPFile` | `parseFTPEntry(String entry)` Parses a line of an NT FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

Methods inherited from class org.apache.commons.net.ftp.parser.ConfigurableFTPFileEntryParserImpl
`configure, parseTimestamp`

Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
`getGroupCnt, getGroupsAsString, group, matches`

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`parseFileList, parseFileList, preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NTFTPEntryParser

    public NTFTPEntryParser()

  The sole constructor for an NTFTPEntryParser object.

Throws:
  `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. It it is seen, this is a sign that `REGEX` is not a valid regular expression.

### NTFTPEntryParser

    public NTFTPEntryParser(FTPClientConfig config)

  This constructor allows the creation of an NTFTPEntryParser object with something other than the default configuration.

Parameters:
  `config` - The `configuration` object used to configure this parser.
Throws:
  `IllegalArgumentException` - Thrown if the regular expression is unparseable. Should not be seen under normal conditions. It it is seen, this is a sign that `REGEX` is not a valid regular expression.
Since:
  1.4

Method Detail

### parseFTPEntry

    public FTPFile parseFTPEntry(String entry)

  Parses a line of an NT FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` is returned, otherwise a `FTPFile` instance representing the files in the directory is returned.

  Parameters:
    `entry` - A line of text from the file listing
  Returns:
    An FTPFile instance corresponding to the supplied entry

### getDefaultConfiguration

    public FTPClientConfig getDefaultConfiguration()

  Defines a default configuration to be used when this class is instantiated without a `FTPClientConfig` parameter being specified.

  Specified by:
    `getDefaultConfiguration` in class `ConfigurableFTPFileEntryParserImpl`
  Returns:
    the default configuration for this parser.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.